package com.heyu.api.data.entity.system;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;/**
*系统信息
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("s_system")
public class SSystemEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.system.SSystemEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String name_ = CLASS_NAME + "name";                             // 系统名称
    public final static String major_version = CLASS_NAME + "major_version";            // 主版本号
    public final static String minor_version = CLASS_NAME + "minor_version";            // 次版本号
    public final static String revision_version = CLASS_NAME + "revision_version";      // 修订版
    public final static String comment_ = CLASS_NAME + "comment";                       // 系统说明
    public final static String website_ = CLASS_NAME + "website";                       // 系统网址
    public final static String framework_version = CLASS_NAME + "framework_version";    // 框架版本
    public final static String dependencies_ = CLASS_NAME + "dependencies";             // 依赖详情
    //系统名称
    @TableId(value = "name", type = IdType.AUTO)
    private String name;
    //主版本号
    private Integer majorVersion;
    //次版本号
    private Integer minorVersion;
    //修订版
    private Integer revisionVersion;
    //系统说明
    private String comment;
    //系统网址
    private String website;
    //框架版本
    private String frameworkVersion;
    //依赖详情
    private String dependencies;
    /**
     * 系统名称 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 系统名称 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 主版本号 
     * @return
     */
    public Integer getMajorVersion() {
        return majorVersion;
    }
    /**
     * 主版本号 
     * @param majorVersion
     */
    public void setMajorVersion(Integer majorVersion) {
        this.majorVersion = majorVersion;
    }

    /**
     * 次版本号 
     * @return
     */
    public Integer getMinorVersion() {
        return minorVersion;
    }
    /**
     * 次版本号 
     * @param minorVersion
     */
    public void setMinorVersion(Integer minorVersion) {
        this.minorVersion = minorVersion;
    }

    /**
     * 修订版 
     * @return
     */
    public Integer getRevisionVersion() {
        return revisionVersion;
    }
    /**
     * 修订版 
     * @param revisionVersion
     */
    public void setRevisionVersion(Integer revisionVersion) {
        this.revisionVersion = revisionVersion;
    }

    /**
     * 系统说明 
     * @return
     */
    public String getComment() {
        return comment;
    }
    /**
     * 系统说明 
     * @param comment
     */
    public void setComment(String comment) {
        this.comment = comment;
    }

    /**
     * 系统网址 
     * @return
     */
    public String getWebsite() {
        return website;
    }
    /**
     * 系统网址 
     * @param website
     */
    public void setWebsite(String website) {
        this.website = website;
    }

    /**
     * 框架版本 
     * @return
     */
    public String getFrameworkVersion() {
        return frameworkVersion;
    }
    /**
     * 框架版本 
     * @param frameworkVersion
     */
    public void setFrameworkVersion(String frameworkVersion) {
        this.frameworkVersion = frameworkVersion;
    }

    /**
     * 依赖详情 
     * @return
     */
    public String getDependencies() {
        return dependencies;
    }
    /**
     * 依赖详情 
     * @param dependencies
     */
    public void setDependencies(String dependencies) {
        this.dependencies = dependencies;
    }

    @Override
    public String toString() {
        return "SSystemEntity{" +
                ",name=" + name +
                ",majorVersion=" + majorVersion +
                ",minorVersion=" + minorVersion +
                ",revisionVersion=" + revisionVersion +
                ",comment=" + comment +
                ",website=" + website +
                ",frameworkVersion=" + frameworkVersion +
                ",dependencies=" + dependencies +
                "}";
    }
}